org.springframework.jms.support

## Class JmsMessageHeaderAccessor

- java.lang.Object
- - org.springframework.messaging.support.MessageHeaderAccessor
  - - org.springframework.messaging.support.NativeMessageHeaderAccessor
    - - org.springframework.jms.support.JmsMessageHeaderAccessor

-     public class JmsMessageHeaderAccessor
      extends NativeMessageHeaderAccessor

  A `MessageHeaderAccessor` implementation giving access to JMS-specific headers.
  Since:
    4.1
  Author:
    Stephane Nicoll

- - ### Field Summary

    - ### Fields inherited from class org.springframework.messaging.support.NativeMessageHeaderAccessor

      `NATIVE_HEADERS`

    - ### Fields inherited from class org.springframework.messaging.support.MessageHeaderAccessor

      `DEFAULT_CHARSET`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JmsMessageHeaderAccessor(Map<String,List<String>> nativeHeaders)`
    `protected` | `JmsMessageHeaderAccessor(Message<?> message)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCorrelationId()` Return the `correlationId`.
    `Integer` | `getDeliveryMode()` Return the `delivery mode`.
    `Destination` | `getDestination()` Return the `destination`.
    `Long` | `getExpiration()` Return the message `expiration`.
    `String` | `getMessageId()` Return the `message id`.
    `Integer` | `getPriority()` Return the `priority`.
    `Boolean` | `getRedelivered()` Return the `redelivered` flag.
    `Destination` | `getReplyTo()` Return the `reply to`.
    `Long` | `getTimestamp()` Return the `timestamp`.
    `String` | `getType()` Return the `type`.
    `static JmsMessageHeaderAccessor` | `wrap(Message<?> message)` Create a `JmsMessageHeaderAccessor` from the headers of an existing message.

    - ### Methods inherited from class org.springframework.messaging.support.NativeMessageHeaderAccessor

      `addNativeHeader, addNativeHeaders, containsNativeHeader, copyHeaders, copyHeadersIfAbsent, getFirstNativeHeader, getFirstNativeHeader, getNativeHeader, getNativeHeaders, removeNativeHeader, setImmutable, setNativeHeader, setNativeHeaderValues, toNativeHeaderMap`

    - ### Methods inherited from class org.springframework.messaging.support.MessageHeaderAccessor

      `createAccessor, getAccessor, getAccessor, getAccessor, getContentType, getDetailedLogMessage, getDetailedPayloadLogMessage, getErrorChannel, getHeader, getId, getMessageHeaders, getMutableAccessor, getReplyChannel, getShortLogMessage, getShortPayloadLogMessage, isModified, isMutable, isReadableContentType, isReadOnly, removeHeader, removeHeaders, setContentType, setErrorChannel, setErrorChannelName, setHeader, setHeaderIfAbsent, setLeaveMutable, setModified, setReplyChannel, setReplyChannelName, toMap, toMessageHeaders, toString, verifyType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JmsMessageHeaderAccessor

          protected JmsMessageHeaderAccessor(Map<String,List<String>> nativeHeaders)

    - #### JmsMessageHeaderAccessor

          protected JmsMessageHeaderAccessor(Message<?> message)

  - ### Method Detail

    - #### getCorrelationId

          @Nullable
          public String getCorrelationId()

      Return the `correlationId`.
      See Also:
        `JmsHeaders.CORRELATION_ID`

    - #### getDestination

          @Nullable
          public Destination getDestination()

      Return the `destination`.
      See Also:
        `JmsHeaders.DESTINATION`

    - #### getDeliveryMode

          @Nullable
          public Integer getDeliveryMode()

      Return the `delivery mode`.
      See Also:
        `JmsHeaders.DELIVERY_MODE`

    - #### getExpiration

          @Nullable
          public Long getExpiration()

      Return the message `expiration`.
      See Also:
        `JmsHeaders.EXPIRATION`

    - #### getMessageId

          @Nullable
          public String getMessageId()

      Return the `message id`.
      See Also:
        `JmsHeaders.MESSAGE_ID`

    - #### getPriority

          @Nullable
          public Integer getPriority()

      Return the `priority`.
      See Also:
        `JmsHeaders.PRIORITY`

    - #### getReplyTo

          @Nullable
          public Destination getReplyTo()

      Return the `reply to`.
      See Also:
        `JmsHeaders.REPLY_TO`

    - #### getRedelivered

          @Nullable
          public Boolean getRedelivered()

      Return the `redelivered` flag.
      See Also:
        `JmsHeaders.REDELIVERED`

    - #### getType

          @Nullable
          public String getType()

      Return the `type`.
      See Also:
        `JmsHeaders.TYPE`

    - #### getTimestamp

          @Nullable
          public Long getTimestamp()

      Return the `timestamp`.
      Overrides:
        `getTimestamp` in class `MessageHeaderAccessor`
      See Also:
        `JmsHeaders.TIMESTAMP`

    - #### wrap

          public static JmsMessageHeaderAccessor wrap(Message<?> message)

      Create a `JmsMessageHeaderAccessor` from the headers of an existing message.